<?php
/**
 * @version		1.3.1
 * @package		Joomla
 * @subpackage	EShop
 * @author  	Giang Dinh Truong
 * @copyright	Copyright (C) 2011 Ossolution Team
 * @license		GNU/GPL, see LICENSE.php
 */
// no direct access
defined('_JEXEC') or die;
?>
<?php defined('_JEXEC') or die('Restricted access'); ?>
<div class="eshop-product<?php echo $params->get( 'moduleclass_sfx' ); ?>">
	<?php if($headerText){?>
		<div class="eshopheader"><?php echo $headerText; ?></div>
	<?php }?>
		<ul>
		<?php
			foreach ($items as $key => $product)
			{
				$viewProductUrl = JRoute::_(EshopRoute::getProductRoute($product->id, EshopHelper::getProductCategory($product->id)));
				// Image
				if ($product->product_image && JFile::exists(JPATH_ROOT.'/media/com_eshop/products/' . $product->product_image))
				{
					$image = EshopHelper::resizeImage($product->product_image, JPATH_ROOT . '/media/com_eshop/products/', $thumbnailWidth, $thumbnailHeight);
				}
				else
				{
					$image = EshopHelper::resizeImage('no-image.png', JPATH_ROOT . '/media/com_eshop/products/', $thumbnailWidth, $thumbnailHeight);
				}
				$image = JURI::base() . 'media/com_eshop/products/resized/' . $image;
				$labels = EshopHelper::getProductLabels($product->id);
				if ($key%$numberProductinrow == 0) echo '<div class="clear"></div>';
		 ?>
			<li class="eshop_product row-fluid" style="width: <?php echo (int) 100/$numberProductinrow; ?>%">
            	<div class="span4">
                    <div class="image">
                        <a href="<?php echo $viewProductUrl; ?>">
                            <?php
                            if (count($labels) && $params->get('enable_labels'))
                            {
                                for ($i = 0; $n = count($labels), $i < $n; $i++)
                                {
                                    $label = $labels[$i];
                                    if ($label->label_style == 'rotated' && !($label->enable_image && $label->label_image))
                                    {
                                        ?>
                                        <div class="cut_rotated">
                                        <?php
                                    }
                                    if ($label->enable_image && $label->label_image)
                                    {
                                        $imageWidth = $label->label_image_width > 0 ? $label->label_image_width : EshopHelper::getConfigValue('label_image_width');
                                        if (!$imageWidth)
                                            $imageWidth = 50;
                                        $imageHeight = $label->label_image_height > 0 ? $label->label_image_height : EshopHelper::getConfigValue('label_image_height');
                                        if (!$imageHeight)
                                            $imageHeight = 50;
                                        ?>
                                        <span class="horizontal <?php echo $label->label_position; ?> small-db" style="opacity: <?php echo $label->label_opacity; ?>;<?php echo 'background-image: url(' . $label->label_image . ')'; ?>; background-repeat: no-repeat; width: <?php echo $imageWidth; ?>px; height: <?php echo $imageHeight; ?>px; box-shadow: none;"></span>
                                        <?php
                                    }
                                    else 
                                    {
                                        ?>
                                        <span class="<?php echo $label->label_style; ?> <?php echo $label->label_position; ?> small-db" style="background-color: <?php echo '#'.$label->label_background_color; ?>; color: <?php echo '#'.$label->label_foreground_color; ?>; opacity: <?php echo $label->label_opacity; ?>;<?php if ($label->label_bold) echo 'font-weight: bold;'; ?>">
                                            <?php echo $label->label_name; ?>
                                        </span>
                                        <?php
                                    }
                                    if ($label->label_style == 'rotated' && !($label->enable_image && $label->label_image))
                                    {
                                        ?>
                                        </div>
                                        <?php
                                    }
                                }
                            }
                            ?>
                            <img class="img-polaroid" alt="<?php echo $product->product_name; ?>" src="<?php echo $image; ?>">
                        </a>
                    </div>
               	</div>
                <div class="span8">
                    <div class="name">
                        <a href="<?php echo $viewProductUrl; ?>" class="link" data-original-title="<?php echo $product->product_short_desc; ?>">
                            <?php echo $product->product_name; ?>
                        </a>
                    </div>
					<?php
                    if ($showPrice == 1 && EshopHelper::showPrice() && !$product->product_call_for_price)
                    {
                        $productPriceArray = EshopHelper::getProductPriceArray($product->id, $product->product_price); 
                        if ($productPriceArray['salePrice'])
                        {
                            ?>
                            <span class="base-price"><?php echo $currency->format($tax->calculate($productPriceArray['basePrice'], $product->product_taxclass_id, EshopHelper::getConfigValue('tax'))); ?></span>&nbsp;
                            <span class="sale-price"><?php echo $currency->format($tax->calculate($productPriceArray['salePrice'], $product->product_taxclass_id, EshopHelper::getConfigValue('tax'))); ?></span>
                            <?php
                        }
                        else
                        {
                            ?>
                            <span class="price"><?php echo $currency->format($tax->calculate($productPriceArray['basePrice'], $product->product_taxclass_id, EshopHelper::getConfigValue('tax'))); ?></span>
                            <?php
                        }
                    }
                    if ($product->product_call_for_price)
                    {
                        ?>
                        <span class="call-for-price"><?php echo JText::_('ESHOP_CALL_FOR_PRICE'); ?>: <?php echo EshopHelper::getConfigValue('telephone'); ?></span>
                        <?php
                    }
                    ?>
                    <div class="clear"></div>
                    <?php
                        if($showAddcart == 1 && !EshopHelper::getConfigValue('catalog_mode') && !$product->product_call_for_price)
                        { 
                    ?>
                        <button id="add-to-cart-<?php echo $product->id; ?>" class="btn btn-primary" onclick="addToCart(<?php echo $product->id; ?>, 1, '<?php echo JUri::base(); ?>'); "><?php echo JText::_('ESHOP_ADD_TO_CART'); ?></button>
                    <?php 
                        }//end if show add to cart
                    ?>
               	</div>
			</li>
		<?php
			} //end foreach
		?>
		</ul>
	<?php if($footerText){ ?>
		<div class="eshopfooter"><?php echo $footerText; ?></div>
	<?php }?>
</div>